      Module numerics
! ---------------------------------------------------------------------
      Integer, Parameter  ::  sp = kind(1.0  )     
      Integer, Parameter  ::  dp = kind(1.0D0)
!
      Integer, Parameter  ::  rp = dp
!
! Bornes du domaines
      Integer             ::  nbthd
      Integer             ::  sx,  sy,  sz
      Integer             ::  ex,  ey,  ez
      Integer             ::  ntx, nty, ntz
!
! Pas de discretisation
      Real(rp)            ::  hx,  hy,  hz
!
! Scalaires du probleme
      Real(rp)            ::  rlambda
      Real(rp)            ::  dt
!
! Constantes numeriques
      Real(rp), Parameter ::  one  = 1.0_rp
      Real(rp), Parameter ::  zero = 0.0_rp
!
      Real(rp)            ::  machep
! ---------------------------------------------------------------------
      End Module numerics

